Package org.apache.sling.resourceresolver.impl.legacy

# Class LegacyResourceProviderFactoryAdapter

java.lang.Object
org.apache.sling.spi.resource.provider.ResourceProvider<LegacyResourceProviderAdapter>
org.apache.sling.resourceresolver.impl.legacy.LegacyResourceProviderFactoryAdapter

public class LegacyResourceProviderFactoryAdapter extends org.apache.sling.spi.resource.provider.ResourceProvider<LegacyResourceProviderAdapter>

## Field Summary

### Fields inherited from class org.apache.sling.spi.resource.provider.ResourceProvider

`AUTH_ADMIN, AUTH_CLONE, AUTH_SERVICE_BUNDLE, AUTHENTICATE_LAZY, AUTHENTICATE_NO, AUTHENTICATE_REQUIRED, MODE_OVERLAY, MODE_PASSTHROUGH, PROPERTY_ADAPTABLE, PROPERTY_ATTRIBUTABLE, PROPERTY_AUTHENTICATE, PROPERTY_MODE, PROPERTY_MODIFIABLE, PROPERTY_NAME, PROPERTY_REFRESHABLE, PROPERTY_ROOT, PROPERTY_USE_RESOURCE_ACCESS_SECURITY, RESOURCE_TYPE_SYNTHETIC`

## Constructor Summary

Constructors
Constructor
Description
`LegacyResourceProviderFactoryAdapter(org.apache.sling.api.resource.ResourceProviderFactory rpFactory, String[] languages, boolean ownsRoot)`

## Method Summary

Modifier and Type
Method
Description
`<AdapterType>
AdapterType`
`adaptTo(@NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx, @NotNull Class<AdapterType> type)`
`@NotNull LegacyResourceProviderAdapter`
`authenticate(@NotNull Map<String,Object> authenticationInfo)`
`void`
`commit(@NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx)`
`org.apache.sling.api.resource.Resource`
`create(@NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx, String path, Map<String,Object> properties)`
`void`
`delete(@NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx, @NotNull org.apache.sling.api.resource.Resource resource)`
`Object`
`getAttribute(@NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx, @NotNull String name)`
`Collection<String>`
`getAttributeNames(@NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx)`
`@Nullable org.apache.sling.spi.resource.provider.QueryLanguageProvider<LegacyResourceProviderAdapter>`
`getQueryLanguageProvider()`
`org.apache.sling.api.resource.Resource`
`getResource(org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx, String path, org.apache.sling.spi.resource.provider.ResourceContext resourceContext, org.apache.sling.api.resource.Resource parent)`
`boolean`
`hasChanges(@NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx)`
`boolean`
`isLive(@NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx)`
`Iterator<org.apache.sling.api.resource.Resource>`
`listChildren(org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx, org.apache.sling.api.resource.Resource parent)`
`void`
`logout(@NotNull LegacyResourceProviderAdapter state)`
`void`
`refresh(@NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx)`
`void`
`revert(@NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx)`

### Methods inherited from class org.apache.sling.spi.resource.provider.ResourceProvider

`copy, getParent, getProviderContext, move, orderBefore, start, stop, update`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### LegacyResourceProviderFactoryAdapter

public LegacyResourceProviderFactoryAdapter(org.apache.sling.api.resource.ResourceProviderFactory rpFactory, String[] languages, boolean ownsRoot)

## Method Details

### authenticate

@NotNull public @NotNull LegacyResourceProviderAdapter authenticate(@NotNull @NotNull Map<String,Object> authenticationInfo) throws org.apache.sling.api.resource.LoginException

Overrides:
  `authenticate` in class `org.apache.sling.spi.resource.provider.ResourceProvider<LegacyResourceProviderAdapter>`
Throws:
  `org.apache.sling.api.resource.LoginException`

### logout

public void logout(@NotNull @NotNull LegacyResourceProviderAdapter state)

Overrides:
  `logout` in class `org.apache.sling.spi.resource.provider.ResourceProvider<LegacyResourceProviderAdapter>`

### getResource

public org.apache.sling.api.resource.Resource getResource(org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx, String path, org.apache.sling.spi.resource.provider.ResourceContext resourceContext, org.apache.sling.api.resource.Resource parent)

Specified by:
  `getResource` in class `org.apache.sling.spi.resource.provider.ResourceProvider<LegacyResourceProviderAdapter>`

### listChildren

public Iterator<org.apache.sling.api.resource.Resource> listChildren(org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx, org.apache.sling.api.resource.Resource parent)

Specified by:
  `listChildren` in class `org.apache.sling.spi.resource.provider.ResourceProvider<LegacyResourceProviderAdapter>`

### refresh

public void refresh(@NotNull @NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx)

Overrides:
  `refresh` in class `org.apache.sling.spi.resource.provider.ResourceProvider<LegacyResourceProviderAdapter>`

### getQueryLanguageProvider

@Nullable public @Nullable org.apache.sling.spi.resource.provider.QueryLanguageProvider<LegacyResourceProviderAdapter> getQueryLanguageProvider()

Overrides:
  `getQueryLanguageProvider` in class `org.apache.sling.spi.resource.provider.ResourceProvider<LegacyResourceProviderAdapter>`

### getAttributeNames

public Collection<String> getAttributeNames(@NotNull @NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx)

Overrides:
  `getAttributeNames` in class `org.apache.sling.spi.resource.provider.ResourceProvider<LegacyResourceProviderAdapter>`

### getAttribute

public Object getAttribute(@NotNull @NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx, @NotNull @NotNull String name)

Overrides:
  `getAttribute` in class `org.apache.sling.spi.resource.provider.ResourceProvider<LegacyResourceProviderAdapter>`

### isLive

public boolean isLive(@NotNull @NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx)

Overrides:
  `isLive` in class `org.apache.sling.spi.resource.provider.ResourceProvider<LegacyResourceProviderAdapter>`

### create

public org.apache.sling.api.resource.Resource create(@NotNull @NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx, String path, Map<String,Object> properties) throws org.apache.sling.api.resource.PersistenceException

Overrides:
  `create` in class `org.apache.sling.spi.resource.provider.ResourceProvider<LegacyResourceProviderAdapter>`
Throws:
  `org.apache.sling.api.resource.PersistenceException`

### delete

public void delete(@NotNull @NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx, @NotNull @NotNull org.apache.sling.api.resource.Resource resource) throws org.apache.sling.api.resource.PersistenceException

Overrides:
  `delete` in class `org.apache.sling.spi.resource.provider.ResourceProvider<LegacyResourceProviderAdapter>`
Throws:
  `org.apache.sling.api.resource.PersistenceException`

### revert

public void revert(@NotNull @NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx)

Overrides:
  `revert` in class `org.apache.sling.spi.resource.provider.ResourceProvider<LegacyResourceProviderAdapter>`

### commit

public void commit(@NotNull @NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx) throws org.apache.sling.api.resource.PersistenceException

Overrides:
  `commit` in class `org.apache.sling.spi.resource.provider.ResourceProvider<LegacyResourceProviderAdapter>`
Throws:
  `org.apache.sling.api.resource.PersistenceException`

### hasChanges

public boolean hasChanges(@NotNull @NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx)

Overrides:
  `hasChanges` in class `org.apache.sling.spi.resource.provider.ResourceProvider<LegacyResourceProviderAdapter>`

### adaptTo

public <AdapterType> AdapterType adaptTo(@NotNull @NotNull org.apache.sling.spi.resource.provider.ResolveContext<LegacyResourceProviderAdapter> ctx, @NotNull @NotNull Class<AdapterType> type)

Overrides:
  `adaptTo` in class `org.apache.sling.spi.resource.provider.ResourceProvider<LegacyResourceProviderAdapter>`